#!/bin/bash
if [ ! -f "$1" ]; then
  echo "error: must specify rooms file"
  exit 1
fi

for ROOM in `cat "$1"`; do
  if grep -q "|$ROOM\$" MASTER_LIST; then
    echo "found valid room $ROOM"
  else
    echo "!!! FOUND INVALID ROOM $ROOM !!!"
  fi
done
